﻿using System;
using Xunit;
using SubSpec.Expression;
using System.Diagnostics;


public class SpecificationExpressionFacts
{
	[Fact]
	public void CreateExpression_WithNullSetupAction_Throws()
	{
		Assert.Throws<ArgumentNullException>(
			() => new SpecificationExpression<int>(null, new StackFrame()));
	}

	[Fact]
	public void CreateExpression_WithNullStackFrame_Throws()
	{
		Assert.Throws<ArgumentNullException>(
			() => new SpecificationExpression<int>(() => { return 0;  }, null));
	}
}
